#!/usr/bin/perl -w

use strict;
use IO::Socket;

my $sok=IO::Socket::INET->new(PeerAddr => "rpc.technorati.com",
                              PeerPort => 80,
                              Proto    => 'tcp') || die "no connect";

my $data="<?xml version=\"1.0\"?>
<methodCall>
  <methodName>weblogUpdates.ping</methodName>
  <params>
    <param>
      <value>0x1b - Blog</value>
    </param>
    <param>
      <value>http://www.0x1b.ch/blog/</value>
    </param>
  </params>
</methodCall>
";

$sok->print("POST /rpc/ping HTTP/1.0\r\n");
$sok->print("User-Agent: ping.pl\r\n");
$sok->print("Host: rpc.technorati.com\r\n");
$sok->print("Content-Type: text/xml\r\n");
$sok->print("Content-length: ".length($data)."\r\n");
$sok->print("\r\n");

$sok->print($data);

while ($_=$sok->getline) {
    chomp;
    print "$_\n";
}

$sok->close;
